Skip to main content

Update Item

Endpoint: PUT /items/{id}

Authentication: Bearer Token (required)

Path Parameters

NameTypeRequiredDescription
idstringYesUUID of the item to update

Headers

NameTypeRequiredDescription
AuthorizationstringYesBearer token for authentication. Format: Bearer <token>
Content-TypestringYesMust be application/json

Request Body

The request body must be a JSON object with the following structure:

FieldTypeRequiredDescription
namestringYesUpdated name of the item (e.g., "Raspberry Jam 375ml")
uomstringYesUpdated unit of measure (e.g., "nos")
valuationMethodstringYesInventory valuation method. Supported values: "MAVG" (Moving Average), "FIFO", "LIFO", "STANDARD"
maintainStockbooleanYesWhether to track stock levels for this item
allowNegativeStockbooleanYesWhether negative stock levels are allowed
companyIdStringstringYesUUID of the company that owns this item

Example Request Body

{
"name": "Raspberry Jam 375ml",
"uom": "nos",
"valuationMethod": "MAVG",
"maintainStock": true,
"allowNegativeStock": false,
"companyIdString": "f5506f1d-3959-41cb-bd7b-c878c34f5a72"
}